# Python bindings for libgccjit

This document describes the Python bindings to libgccjit.

The bindings support both CPython 2 and CPython 3 (using Cython).

Note that both libgccjit and the bindings are of “Alpha” quality; the APIs are not yet set in stone, and they shouldn’t be used in production yet.

Contents:

- Tutorial
  - Creating a trivial machine code function
  - Loops and variables
  - Implementing a “brainf” compiler
- Topic Reference
  - Compilation contexts
  - Types
  - Expressions
  - Functions
  - Source Locations
  - Compiling a context

# Indices and tables

- Index
- Module Index
- Search Page